<?php
if (!class_exists('uforms'))
{

class uforms{

public static function input($title, $type, $name, $value=null, $dop=null, $class=null, $form_filt_quotes = ENT_QUOTES, $form_filt_encode = "UTF-8")
{

return ($class?"<div class='$class'>":null)."$title<input type='$type' $dop name='$name' value='".htmlentities($value,$form_filt_quotes,$form_filt_encode)."' /> 
".($class?"</div>":null);

}

public static function select($title, $name, $arr_param, $default=null, $class=null, $dop=null, $form_filt_quotes = ENT_QUOTES, $form_filt_encode = "UTF-8")
{
$ret = ($class?"<div class='$class'>":null)."$title
<select $dop name='$name'>";

if ( is_array($arr_param) )
{
  foreach ($arr_param as $k=>$v)
  {
  $ret .="<option value='$k'".($default==$k?" selected='selected' ":null).">".htmlentities($v,$form_filt_quotes,$form_filt_encode)."</option>";
  }
}

$ret .="</select>".
($class?"</div>":null);

return $ret;
}

public static function check_block($title,$arr_param,$prefix,$default=array(),$class=null,$dop=array(),$form_filt_quotes = ENT_QUOTES, $form_filt_encode = "UTF-8")
{
$ret="<div class='$class'>$title";
foreach ($arr_param as $k=>$v)
{
$ret.= " <input type='checkbox' name='{$prefix}_$k' ".(isset($dop[$k])?$dop[$k]:null).(isset($default[$k])?" checked='checked'":null)." /> ".htmlentities($v,$form_filt_quotes,$form_filt_encode)." <br />";
}
$ret.="</div>";
return $ret;
}

public static function textarea($title,$name, $dop, $insert, $class=null,$form_filt_quotes = ENT_QUOTES, $form_filt_encode = "UTF-8")
{
$ret=null;

$ret .= ($class?"<div class='$class'>":null);

$ret .= "$title";

$ret .= "<textarea name='$name' $dop>".htmlentities($insert,$form_filt_quotes,$form_filt_encode)."</textarea>";

$ret .= ($class?"</div>":null);

return $ret;

}


}

}

?>